Last Comment Bug 1280947 - DOM events not fired on interacting with <input type=file> element
: DOM events not fired on interacting with <input type=file> element
Status: RESOLVED FIXED
:
Product: Testing
Classification: Components
Component: Marionette (show other bugs)
: Version 3
: All All
-- normal (vote)
: mozilla51
Assigned To: Andreas Tolfsen
:
:
Mentors:
: 1286107 (view as bug list)
Depends on: 1290966
Blocks: webdriver 1244425
  Show dependency treegraph
 
Reported: 2016-06-20 07:00 PDT by Andreas Tolfsen
Modified: 2016-09-12 18:59 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
wontfix
fixed
fixed

MozReview Requests
Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:
Show discarded requests

Attachments
Bug 1280947 - Improve names of JSON marshaling methods in Marionette client; (58 bytes, text/x-review-board-request)
2016-08-25 09:05 PDT, Andreas Tolfsen
dburns: review+
Details | Review
Bug 1280947 - Support tuples for script arguments; (58 bytes, text/x-review-board-request)
2016-08-25 09:05 PDT, Andreas Tolfsen
dburns: review+
Details | Review
Bug 1280947 - Remove dead File object construction code; (58 bytes, text/x-review-board-request)
2016-08-25 09:05 PDT, Andreas Tolfsen
dburns: review+
Details | Review
Bug 1280947 - Correct argument to event.sendEvent; (58 bytes, text/x-review-board-request)
2016-08-25 09:05 PDT, Andreas Tolfsen
dburns: review+
Details | Review
Bug 1280947 - Add event.change for dispatching DOM change events; (58 bytes, text/x-review-board-request)
2016-08-25 09:05 PDT, Andreas Tolfsen
no flags Details | Review
Bug 1280947 - Dispatch DOM change event on appending file to input; (58 bytes, text/x-review-board-request)
2016-08-25 09:05 PDT, Andreas Tolfsen
dburns: review+
Details | Review

Description User image Andreas Tolfsen 2016-06-20 07:00:26 PDT
Events such as onchange are not being fired when “interacting”, or calling the Element Send Keys command, on <input type=file> elements.

This is probably because we have to use privileged chrome APIs to set the file on this element because we can’t use the interaction library.
Comment 1 User image Andreas Tolfsen 2016-07-12 17:02:18 PDT
*** Bug 1286107 has been marked as a duplicate of this bug. ***
Comment 2 User image Andreas Tolfsen 2016-08-25 09:05:46 PDT Comment hidden (mozreview-request)
Comment 3 User image Andreas Tolfsen 2016-08-25 09:05:46 PDT Comment hidden (mozreview-request)
Comment 4 User image Andreas Tolfsen 2016-08-25 09:05:46 PDT Comment hidden (mozreview-request)
Comment 5 User image Andreas Tolfsen 2016-08-25 09:05:46 PDT Comment hidden (mozreview-request)
Comment 6 User image Andreas Tolfsen 2016-08-25 09:05:46 PDT Comment hidden (mozreview-request)
Comment 7 User image Andreas Tolfsen 2016-08-25 09:05:46 PDT Comment hidden (mozreview-request)
Comment 8 User image David Burns :automatedtester 2016-08-25 13:11:14 PDT
Comment on attachment 8784866 [details]
Bug 1280947 - Improve names of JSON marshaling methods in Marionette client;

https://reviewboard.mozilla.org/r/74170/#review72136
Comment 9 User image David Burns :automatedtester 2016-08-25 13:16:44 PDT
Comment on attachment 8784867 [details]
Bug 1280947 - Support tuples for script arguments;

https://reviewboard.mozilla.org/r/74172/#review72142
Comment 10 User image David Burns :automatedtester 2016-08-25 13:17:08 PDT
Comment on attachment 8784867 [details]
Bug 1280947 - Support tuples for script arguments;

https://reviewboard.mozilla.org/r/74172/#review72144
Comment 11 User image David Burns :automatedtester 2016-08-25 13:17:53 PDT
Comment on attachment 8784868 [details]
Bug 1280947 - Remove dead File object construction code;

https://reviewboard.mozilla.org/r/74174/#review72146
Comment 12 User image David Burns :automatedtester 2016-08-25 13:19:02 PDT
Comment on attachment 8784869 [details]
Bug 1280947 - Correct argument to event.sendEvent;

https://reviewboard.mozilla.org/r/74176/#review72148
Comment 13 User image David Burns :automatedtester 2016-08-25 13:20:44 PDT
Comment on attachment 8784870 [details]
Bug 1280947 - Add event.change for dispatching DOM change events;

https://reviewboard.mozilla.org/r/74178/#review72150

::: testing/marionette/event.js:1336
(Diff revision 1)
>  
>  event.input = function(el, modifiers = {}, opts = {}) {
>    return event.sendEvent("input", el, modifiers, opts);
>  };
> +
> +event.change = function(el, modifiers = {}, opts = {}) {

This appears to be duplicate of lines 1328-1330
Comment 14 User image David Burns :automatedtester 2016-08-25 13:24:32 PDT
Comment on attachment 8784871 [details]
Bug 1280947 - Dispatch DOM change event on appending file to input;

https://reviewboard.mozilla.org/r/74180/#review72152
Comment 15 User image Andreas Tolfsen 2016-08-26 04:58:11 PDT
Comment on attachment 8784870 [details]
Bug 1280947 - Add event.change for dispatching DOM change events;

https://reviewboard.mozilla.org/r/74178/#review72150

> This appears to be duplicate of lines 1328-1330

Oh, oops.
Comment 16 User image Andreas Tolfsen 2016-08-26 05:00:26 PDT Comment hidden (mozreview-request)
Comment 17 User image Andreas Tolfsen 2016-08-26 05:03:30 PDT Comment hidden (mozreview-request)
Comment 18 User image Pulsebot 2016-08-26 05:05:50 PDT
Pushed by atolfsen@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/264c30a316b8
Improve names of JSON marshaling methods in Marionette client; r=automatedtester
https://hg.mozilla.org/integration/autoland/rev/12b83f85ecfe
Support tuples for script arguments; r=automatedtester
https://hg.mozilla.org/integration/autoland/rev/79da2701e6d9
Remove dead File object construction code; r=automatedtester
https://hg.mozilla.org/integration/autoland/rev/3e33306995e3
Correct argument to event.sendEvent; r=automatedtester
https://hg.mozilla.org/integration/autoland/rev/4ecaeb81b71e
Dispatch DOM change event on appending file to input; r=automatedtester
Comment 20 User image Andreas Tolfsen 2016-09-01 05:16:38 PDT
Test only changes.
Comment 24 User image Sylvestre Ledru [:sylvestre] 2016-09-12 06:54:05 PDT
David, do you know who could help with this? Thanks
Comment 25 User image Andreas Tolfsen 2016-09-12 07:14:45 PDT
It appears this depends on bug 1290966 to be uplifted first.  I’ve requested uplift for it.
Comment 26 User image Andreas Tolfsen 2016-09-12 07:15:48 PDT
Sheriffs: Please uplift bug 1290966 first, which should address earlier test failures on Aurora and Beta.  This patch series also consists of only test-only changes.

Note You need to log in before you can comment on or make changes to this bug.